Bug 468552 - Escaping of input device names in /etc/sysconfig/lirc needed
Escaping of input device names in /etc/sysconfig/lirc needed
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-lirc-properties (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-25 15:44 EDT by Vasile Chelban
Modified: 2009-11-22 05:05 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-22 05:05:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vasile Chelban 2008-10-25 15:44:39 EDT
Description of problem:

LIRC_DEVICE variable value in /etc/sysconfig/lirc has to be aditionally escaped. At least '(' , ')' characters.
If lirc input device name does contain bash special caracters, lirc daemon fails to  start.


Version-Release number of selected component (if applicable):
gnome-lirc-properties-0.3.0-2.fc10

How reproducible:
In my case, I do have AverMedia 303P Studio TV Tuner. It's remote has dev/input interface, and name is "saa7134 IR (AverMedia M156 / Me".

Steps to Reproduce:
1. Run gnome-lirc-properties, click Auto-detect, select from list "saa7134 IR (AverMedia M156 / Me". Select "close" button
2. in file /etc/sysconfig/lirc I have
LIRC_DEVICE="name=saa7134?IR?(AverMedia?M156?/?Me"
3. Trying to run lirc daemon
  
Actual results:
# service lirc start
Starting infrared remote control daemon (lircd): /bin/bash: -c: line 0: syntax error near unexpected token `('
/bin/bash: -c: line 0: `ulimit -S -c 0 >/dev/null 2>&1 ; /usr/sbin/lircd --driver=devinput --device=name=saa7134?IR?(AverMedia?M156?/?Me'
                                                           [FAILED]

Expected results:
#service lirc start
Starting infrared remote control daemon (lircd):           [  OK  ]


Additional info:

If I change LIRC_DEVICE line  in /etc/sysconfig/lirc manually to
LIRC_DEVICE="name=saa7134?IR?\(AverMedia?M156?/?Me"

lirc daemon starts and works as expected


/proc/bus/input/devices
I: Bus=0001 Vendor=1461 Product=a70b Version=0001
N: Name="saa7134 IR (AverMedia M156 / Me"
P: Phys=pci-0000:03:06.0/ir0
S: Sysfs=/devices/pci0000:00/0000:00:14.4/0000:03:06.0/input/input7
U: Uniq=
H: Handlers=kbd event7 
B: EV=100003
B: KEY=40fc310 8214000000000000 0 2048000 18000004001 9e000000000000 ffc
Comment 1 Bastien Nocera 2008-10-27 13:38:01 EDT
Could have been potential security issues actually. Fixed upstream, should be fixed in:
http://koji.fedoraproject.org/koji/buildinfo?buildID=67741

Could you please test?
Comment 2 Vasile Chelban 2008-10-27 15:41:44 EDT
(In reply to comment #1)
> Could you please test?

Yes, the bug I mentioned is resolved. Input device name is properly escaped and it works for me. But new release of gnome-lirc-properties-0.3.1-1.fc10 has introduced another bug:

After running and closing gnome-lirc-properties, file /etc/sysconfig/lirc does contain:

LIRCD_OPTIONS="''"
MODULES="''"
LIRCD_CONF="''"

in /var/log/messages:
Oct 27 21:26:19 chomper lircd-0.8.4a[8660]: could not open config file ''
Oct 27 21:26:19 chomper lircd-0.8.4a[8660]: No such file or directory

While daemon is running, remote keys are not working (due to incorrectly specified config file).

 If I change "''" to "" in /etc/sysconfig/lirc (at least for LIRCD_OPTIONS) and restart lirc service, keys start to work.
Comment 3 Bastien Nocera 2008-10-31 20:03:58 EDT
Urgh...
Comment 4 Bug Zapper 2008-11-25 23:14:37 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-11-18 03:38:31 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Vasile Chelban 2009-11-22 05:05:50 EST
Retested against gnome-lirc-properties-0.4.0-1.fc12 (available only on F12) - It's fixed there. Still unsure about F11 (0.3.1-4).

Note You need to log in before you can comment on or make changes to this bug.